> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaero.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve fine-tuning job

> Get info about a fine-tuning job by its ID.



## OpenAPI

````yaml /api-reference/openapi.json get /fine_tuning/jobs/{fine_tuning_job_id}
openapi: 3.0.0
info:
  title: Vaero API
  version: 1.0.0
  description: API for file uploads to Vaero platform.
servers:
  - url: https://vaeroapi.com/v1
    description: Production server
security: []
paths:
  /fine_tuning/jobs/{fine_tuning_job_id}:
    get:
      tags:
        - Fine Tuning
      summary: Retrieve fine-tuning job
      description: Get info about a fine-tuning job by its ID.
      parameters:
        - name: fine_tuning_job_id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the fine-tuning job.
      responses:
        '200':
          description: A fine-tuning job object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    description: The type of the object, always 'fine_tuning.job'.
                    example: fine_tuning.job
                  id:
                    type: string
                    description: The ID of the fine-tuning job.
                    example: ftjob-abc123
                  style_model:
                    type: string
                    description: The model being fine-tuned.
                    example: vaero-2
                  base_model:
                    type: string
                    description: The name of the base model whose output is to be styled.
                    example: gpt-4o
                  created_at:
                    type: integer
                    description: Unix timestamp for when the job was created.
                    example: 1721764800
                  fine_tuned_model:
                    type: string
                    description: The name of the fine-tuned model.
                    example: ftm-custom-name-0b5ace7e-ffb2-43cf-8a4d-0af17bc2b1d1
                  organization_id:
                    type: string
                    description: The organization ID associated with this fine-tuning job.
                    example: org-123
                  status:
                    type: string
                    description: The current status of the job.
                    example: succeeded
                  training_files:
                    type: array
                    items:
                      type: string
                    description: Array of file IDs used for training.
                    example:
                      - file-abc123
                      - file-abc124
        '401':
          description: >-
            Unauthorized. The request was missing authentication or contained
            invalid credentials.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining the issue.
                    example: Invalid API key.
        '404':
          description: Fine-tuning job not found. The specified job ID does not exist.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message explaining the issue.
                    example: Fine-tuning job not found.
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````